<template>
    <el-menu
    :default-active="acTabs">
        <template v-for="menu in menus">
            <el-submenu 
            v-if="menu.childrens" 
            :key="menu.name" :index="menu.name">
                <template slot="title">
                    <i v-if="menu.icon" :class="menu.icon"></i>
                    <span>{{menu.label}}</span>
                </template>
                <el-menu-item v-for="child in menu.childrens" 
                :key="child.name" :index="child.name"
                @click="select(child)">
                    {{child.label}}
                </el-menu-item>
            </el-submenu>
            <el-menu-item v-else :index="menu.name" :key="menu.name"
            @click="select(menu)">
                <i class="el-icon-s-home"></i>
                <span slot="title">{{menu.label}}</span>
            </el-menu-item>
        </template>
    </el-menu>
</template>

<script>
export default {
    props: {
        acTabs: {
            type: String,
            default: '',
        }
    },
    data() {
        return {
            menus: [
                {
                    label: '首页',
                    name: 'index',
                    src: '#/index',
                    icon: 'el-icon-s-home',
                    closable: false,
                },
                {
                    label: '测试数据',
                    name: 'testData',
                    src: '',
                    icon: 'el-icon-s-data',
                    closable: false,
                    childrens: [
                        {
                            label: '实时监测',
                            name: 'realTime',
                            src: '#/real-time',
                            closable: true, 
                        },
                        {
                           label: '历史数据',
                            name: 'history',
                            src: '#/history',
                            closable: true, 
                        },
                    ]
                },
                //   {
                //     label: '数据管理',
                //     name: 'dataMager',
                //     src: '',
                //     icon: 'el-icon-s-help',
                //     closable: false,
                //     childrens: [
                //         {
                //             label: '电池充放电数据管理',
                //             name: 'dataAdmian',
                //             src: '#/dataAdmian',
                //             closable: true, 
                //         },
                //         {
                //            label: '内组测试',
                //             name: 'internalTest',
                //             src: '#/internalTest',
                //             closable: true, 
                //         },
                //            {
                //             label: '电池放电测试',
                //             name: 'dischargeTest',
                //             src: '#/dischargeTest',
                //             closable: true, 
                //         },
                //         {
                //            label: '电池关注管理',
                //             name: 'batteryMager',
                //             src: '#/batteryMager',
                //             closable: true, 
                //         },
                //     ]
                // }
            ],
        }
    },
    methods: {
        select(data) {
            if(data.name !== this.acTabs) {
                this.$emit('select', data);
            }else {
                console.log('菜单已激活');
            }
            
        }
    }
}
</script>

<style scoped>

</style>
